<!doctype html>
<html lang='en'>
<head>
  <meta charset='utf-8'>
  <meta name="viewport" content="initial-scale=1, maximum-scale=1">
  <title>Parking Widget Use Case</title>
  <link href="https://fonts.googleapis.com/css?family=Lato" rel="stylesheet">
  <style type="text/css">
    .help {
      display: inline-block;
    }
    .button {
      margin-left: 5px;
      margin-bottom: 15px;
    }
  </style>
  <script src='../dist/parking-widget.js'></script>
  <script>
      var dummyData = {
        "vendor": {
          "name": "ParkinGo",
          "departureAirport": "Bergamo Orio al Serio",
          "map": "http://lorempixel.com/370/390",
          "img": "http://www.ftoitalia.it/wp-content/uploads/2014/09/parking_go_logo.jpg",
          "features": [
            "Parcheggio ParkinGo della tipologia selezionata",
            "Navetta da/per aeroporto 24h",
            "Vigilanza e custodia del mezzo 24h",
            "Ripristino gratuito del calo di batteria della tua auto"
          ]
        },
        "parkings": [{
          "id": 123,
          "indoor": false,
          "insurance": false,
          "price": "13.56 EUR"
        }, {
          "id": 456,
          "indoor": false,
          "insurance": true,
          "price": "18.99 EUR"
        }, {
          "id": 243,
          "indoor": true,
          "insurance": true,
          "price": "23.56 EUR"
        }, {
          "id": 700,
          "indoor": true,
          "insurance": false,
          "price": "16.49 EUR"
        }],
        "dictionary": {
          "bookYourParking": "Prenota il tuo parcheggio a",
          "featuresTitle": "Sono inclusi i seguenti servizi:",
          "indoorSpace": "Posto auto coperto",
          "outdoorSpace": "Posto auto scoperto",
          "insuranceIncluded": "Assicurazione inclusa",
          "insuranceExcluded": "Assicurazione esclusa"
        }
      };

  </script>

</head>
<body style="font-family: 'Lato', sans-serif;">
  <p class="help">Scegli un parcheggio ed: </p>
  <button id="addToCartTop" class="button">Aggiungilo a carrello</button>
  <div id='parkingWidget'></div>
  <p class="help">Scegli un parcheggio ed: </p>
  <button id="addToCartBottom" class="button">Aggiungilo a carrello</button>
  <script>
      console.log(parkingWidget.init(document.getElementById('parkingWidget'), dummyData.vendor, dummyData.parkings, dummyData.dictionary));
      var addToCartFunc = function () {
        var selectedPark = parkingWidget.getSelectedSlot();
        if (selectedPark) {
          alert('Parcheggio aggiunto al carrello, id: ' + selectedPark.id);
        } else {
          alert('Prima seleziona un parcheggio');
        }
      };
      document.getElementById('addToCartTop').onclick = addToCartFunc;
      document.getElementById('addToCartBottom').onclick = addToCartFunc;
  </script>
</body>
</html>
